Summary: X-based Image processing Tools and Environment
Name: XITE
Version: 3.3
Release: 3
Icon: uiologo_small.gif
Source: ftp.ifi.uio.no/pub/blab/xite/xite.tar.gz 
Patch:  xite-3.3-make.patch
Patch1: xite-3.3-src.patch
Copyright: Free for use, copy and modification (no GPL-strings)
URL: http://www.ifi.uio.no/~blab/Programvare/Xite
Packager: Viggo.L.Norum@imm.ntnu.no
Group: X11/Applications/Graphics

%description

XITE is UNIX software for Image processing.  It consists of more than
200 stand alone programs, each with a dedicated task, for example
adding the pixel values of two images, edge detection or Fourier
transformation.  You may easily build your own image analysis tools as
scripts sending images through a pipeline of XITE programs.

XITE also has a display program called "xshow" with image widget and
graphical user interface.  When zooming into pictures, the actual
pixel values show up as numbers.  XITE processes pictures made of any
data type: byte, float, double, complex etc. this is very useful when
doing calculations on the pixel values.  600 library functions for
image processing and widget handling and 60 subroutines for image
format handling are also available in XITE.  Manual pages and HTML
documentation of all routines and programs are included.

XITE is free software, but the authors would like to know 
who are using it and what it is used for.  Therefore:
Please mail the REGISTER file to xite-register@ifi.uio.no

The binary package consists of 3 MB of lib, bin and config files, and
12 MB of documentation and include files.  In order to not fill up
/usr/bin and /usr/man with many hundreds of files, most of XITE is
installed under /usr/xite and a shell script automatically updating
the PATH and MANPATH is installed in /etc/profile.d/xite.sh.


%prep
%setup -c
%patch -p1
export XITE_HOME=/usr/src/redhat/BUILD/XITE-3.3
export XITE_BIN_DEST=/usr/src/redhat/BUILD/XITE-3.3/bin
export XITE_LIB_DEST=/usr/src/redhat/BUILD/XITE-3.3/lib
export XITE_INC_DEST=/usr/src/redhat/BUILD/XITE-3.3/include
export XITE_MAN_DEST=/usr/src/redhat/BUILD/XITE-3.3/man
export XITE_DOC_DEST=/usr/src/redhat/BUILD/XITE-3.3/doc
export X_INC_DIR=/usr/X11R6/include
export X_LIB_DIR=/usr/X11R6/lib
export TIFF_INC_DIR=/usr/include
export TIFF_LIB_DIR=/usr/lib
export PNM_INC_DIR=/usr/include
export PNM_LIB_DIR=/usr/lib
export XPM=Xpm
export XPM_INC_DIR=/usr/include
export XPM_LIB_DIR=/usr/lib
export MATLAB_LIB=-
export MATLAB_INC=-
export MATLAB_MEX_DEST=-
export CC=gcc
sh install_xite -v -c -s -t /usr/src/redhat/SOURCES/xite.tar.gz
%patch1 -p1
chown -R root.root .
chmod -R a+rX,g-w,o-w .


%build
. ./xite_params
sh etc/makexite -i -l -vv
cd lib
ld -shared --whole-archive libxite.a  -soname libxite.so.3  -o libxite.so.3.3
ln -sf libxite.so.3.3 libxite.so
ld -shared --whole-archive libxiteX.a -soname libxiteX.so.3 -o libxiteX.so.3.3
ln -sf libxiteX.so.3.3 libxiteX.so
ld -shared --whole-archive libfwf.a   -soname libfwf.so.3   -o libfwf.so.3.3
ln -sf libfwf.so.3.3 libfwf.so
cd ..
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/src/redhat/BUILD/XITE-3.3/lib
sh etc/makexite -e -d -vv


%install

# configuration files
#
install -m 755 -o 0 -g 0 etc/xite.sh /etc/profile.d/xite.sh
install -m 644 -o 0 -g 0 etc/app-defaults/* /etc/X11/app-defaults/
. /etc/profile.d/xite.sh

# libraries
#
install -m 755 -o 0 -g 0 -d $XITE_HOME/bin
install -m 644 -o 0 -g 0 -s lib/libxite.so.3.3  /usr/lib/
install -m 644 -o 0 -g 0 -s lib/libxiteX.so.3.3 /usr/lib/
install -m 644 -o 0 -g 0 -s lib/libfwf.so.3.3   /usr/lib/
/sbin/ldconfig
ln -sf /usr/lib/libxite.so.3  /usr/lib/libxite.so
ln -sf /usr/lib/libxiteX.so.3 /usr/lib/libxiteX.so
ln -sf /usr/lib/libfwf.so.3   /usr/lib/libfwf.so

# binaries and scripts
#
install -m 755 -o 0 -g 0 -s bin/* $XITE_HOME/bin

# include files
#
install -m 755 -o 0 -g 0 -d $XITE_HOME/include
install -m 644 -o 0 -g 0 include/*.h $XITE_HOME/include

# documentation
#
install -m 755 -o 0 -g 0 -d $XITE_HOME/man/man1
install -m 644 -o 0 -g 0 man/man1/* $XITE_HOME/man/man1
install -m 755 -o 0 -g 0 -d $XITE_HOME/man/man3
install -m 644 -o 0 -g 0 man/man3/* $XITE_HOME/man/man3
install -m 755 -o 0 -g 0 -d $XITE_HOME/man/man5
install -m 644 -o 0 -g 0 man/man5/* $XITE_HOME/man/man5
# removing links to missing html pages
rm doc/ReferenceManual/colMaxArr_3.html
rm doc/ReferenceManual/fftAmp_1.html
rm doc/ReferenceManual/fftDisplay_1.html
rm doc/ReferenceManual/fftImag_1.html
rm doc/ReferenceManual/fftMakeLp_3.html
rm doc/ReferenceManual/fftMult_1.html
rm doc/ReferenceManual/fftPhase_1.html
rm doc/ReferenceManual/fftPower_1.html
rm doc/ReferenceManual/fftReal_1.html
rm doc/ReferenceManual/haar2d_1.html
rm doc/ReferenceManual/sobel_3.html
rm doc/ReferenceManual/statisticMask_3.html
rm doc/ReferenceManual/zer_con_3.html
install -m 755 -o 0 -g 0 -d $XITE_HOME/doc/ReferenceManual
install -m 644 -o 0 -g 0 doc/ReferenceManual/* $XITE_HOME/doc/ReferenceManual
install -m 644 -o 0 -g 0 etc/.install/[A-Z]E* $XITE_HOME/doc/
install -m 644 -o 0 -g 0 etc/.install/COPYRIGHT $XITE_HOME/doc/
install -m 755 -o 0 -g 0 -d $XITE_HOME/data/xshow
install -m 644 -o 0 -g 0 data/xshow/* $XITE_HOME/data/xshow
install -m 755 -o 0 -g 0 -d $XITE_HOME/data/img
install -m 644 -o 0 -g 0 data/img/* $XITE_HOME/data/img


%files
%config /etc/profile.d/xite.sh
%config /etc/X11/app-defaults/XAdd
%config /etc/X11/app-defaults/XFft
%config /etc/X11/app-defaults/XFilter
%config /etc/X11/app-defaults/XHistogram
%config /etc/X11/app-defaults/XImageExample
%config /etc/X11/app-defaults/XMovie
%config /etc/X11/app-defaults/XPyramid
%config /etc/X11/app-defaults/XRegion
%config /etc/X11/app-defaults/XShow
%config /etc/X11/app-defaults/xiteFileSel
%config /etc/X11/app-defaults/xiteHisto
%config /etc/X11/app-defaults/xiteImage
%config /etc/X11/app-defaults/xiteImageMenubar
%config /etc/X11/app-defaults/xiteImageOverlay
%config /etc/X11/app-defaults/xiteImagePopup
%config /etc/X11/app-defaults/xitePopup
%config /etc/X11/app-defaults/xitePrompt
%config /etc/X11/app-defaults/xiteSlice
%config /etc/X11/app-defaults/xiteTerm
%config /etc/X11/app-defaults/xshowMenuHier
/usr/lib/libxite.so.3.3
/usr/lib/libxiteX.so.3.3
/usr/lib/libfwf.so.3.3
/usr/lib/libxite.so.3
/usr/lib/libxiteX.so.3
/usr/lib/libfwf.so.3
/usr/lib/libxite.so
/usr/lib/libxiteX.so
/usr/lib/libfwf.so
/usr/xite
